package com.example.livingai.domain.repository

import android.graphics.Bitmap
import androidx.camera.video.Recording

interface VideoRepository {
    fun startRecording(onRecordingStarted: () -> Unit)
    fun stopRecording()
    suspend fun processFrame(bitmap: Bitmap): String
}
